AI resources

Integration test

Before going live, we recommend testing the proper functioning of your integration and transaction processing. This will allow you to verify if the integration was done correctly and if payments are being processed without errors. See below how to test your integration.

If you wish, before testing your integration you can encrypt your data to perform your test transactions. To learn how to create this encryption, go to Security encryption. Remember that this encryption is only required when going live with your integration, that is, for your real transactions.

To test your integration with Payouts, create transactions by sending a POST, with your test Access TokenPrivate key of the application created in Mercado Pago and used in the backend. You can access it through Your integrations > Integration data > Tests > Test credentials. and the X-test-token:true header to the endpoint /v1/payoutsAPI so the request is made in a test environment.

curl

curl --location 'https://api.mercadopago.com/v1/payouts' \
--header 'X-Idempotency-Key: {{SOME_UNIQUE_VALUE}}' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <YOUR_ACCESS_TOKEN>' \
--header 'X-enforce-signature: false' \
--header 'X-test-token: true' \
--header 'X-signature: true' \
--data-raw '{
    "external_reference": "000197",
    "config": {
        "notification_url": "https://link-your-webhook-notification.com"
    },
    "description": "Payout for seller commissions",
    "schedule_date": "2026-12-31T14:30:00",
    "transactions": [
        {
            "type": "account",
            "description": "Payment to seller Beltrano",
            "account": {
                "email": "test_user_mx@testuser.com"
            },
            "amount": {
                "currency": "MXN",
                "value": 1
            },
            "external_reference": "000197"
        }
    ]
}'
To learn in detail all the parameters sent and returned in this request, refer to our API Reference. Also, if you receive an error when sending the payment, check our error list for more information.

If the execution is successful, you will receive as response a status code 202, indicating that the transaction was accepted, as shown in the following example.

json

{
   "id": "POP01KM145R903TZ06BWK6204DGG1",
   "external_reference": "000197",
   "description": "Payout for seller commissions",
   "idempotency_key": "1773859430",
   "created_date": "2026-03-18T14:43:50-04:00",
   "status": "created",
   "schedule_date": "2026-12-31T14:30:00",
   "config": {
       "notification_url": "https://link-your-webhook-notification.com"
   }
}
Keep in mind that this response may take a few minutes and that, if your status is pending, you must execute the call to get the list of transactions or get information about a transaction to verify its update.

Ready! Once this step is completed, the integration is complete and you can go to production.